Bug 89899 - nir/nir_lower_tex_projector.c:112: error: unknown field ‘ssa’ specified in initializer
Summary: nir/nir_lower_tex_projector.c:112: error: unknown field ‘ssa’ specified in in...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: x86-64 (AMD64) All
: medium blocker
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2015-04-04 06:03 UTC by Vinson Lee
Modified: 2015-04-07 18:52 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2015-04-04 06:03:27 UTC
mesa: 9c53e80b9b6a637a771328bac98d2292a00869ce (master 10.6.0-devel)

  CC     nir/nir_lower_tex_projector.lo
nir/nir_lower_tex_projector.c: In function ‘nir_lower_tex_projector_block’:
nir/nir_lower_tex_projector.c:112: error: unknown field ‘ssa’ specified in initializer
nir/nir_lower_tex_projector.c:112: warning: excess elements in struct initializer
nir/nir_lower_tex_projector.c:112: warning: (near initialization for ‘dead’)
Comment 1 Vinson Lee 2015-04-04 06:13:06 UTC
ea811b7868d4039499dddf53c109cf0b9da98967 is the first bad commit
commit ea811b7868d4039499dddf53c109cf0b9da98967
Author: Eric Anholt <eric@anholt.net>
Date:   Fri Mar 27 14:18:11 2015 -0700

    nir: Add a lowering pass for texture projectors.
    
    Not much hardware wants them these days, and it might give us a chance to
    do CSE or algebraic at the NIR level.
    
    Reviewed-by: Jason Ekstrand <jason.ekstrand@intel.com>

:040000 040000 8e0e92c522eee42caa1c0c367e2d48d7daaf1d75 73e8b1f11e958037b6c61c7b96f1c0366fbc5e65 M	src
bisect run success
Comment 2 Jason Ekstrand 2015-04-07 18:52:21 UTC
I just pushed a patch that should fix this.  Reopen if it's still a problem.


bug/show.html.tmpl processed on Mar 30, 2017 at 04:43:39.
(provided by the Example extension).